/* Embedded entities */

/* Set margin for embedded media. Needs to account for media with subtitle and without (tricky) and right/left aligned  */
/* Use h4c-content class for all ckeditor fields, bulmas content class' margins cannot be properly overriden here */
.h4c-content > div > figure, .h4c-content > div > .embedded-entity {
  margin-top: var(--space-sm);
  margin-bottom: var(--space-sm);
}

/* Make align-center class work */
.h4c-content .align-center img {
  margin: 0 auto;
}

/* Make caption always centered */
.h4c-content figcaption {
  text-align: center;
}

/* Add margin to embedded and left or right aligned entities */
/* TODO: This was designed for medium size images but should work for all sizes */
@media screen and (min-width: $mobile) {
  .h4c-content {
    .align-left  {
      margin-right: var(--space-lg);
    }
    .align-right {
      margin-left: var(--space-lg);
    }
    /* Overwrite blazy min-width 50 % */
    .blazy--field-media-image--h4c-small.field[data-blazy] {
      min-width: unset;
    }
    [data-entity-embed-display="view_mode:media.h4c_small"] {
      width: 25%;
    }
    [data-entity-embed-display="view_mode:media.h4c_medium"] {
      width: 50%;
    }
  }
}

/* Do not float some elements which makes formatting a page very hard (consistent look on all screen sizes) */
h2, h3, .align-right.embedded-entity, .align-left.embedded-entity {
  clear: both;
}


/* 
 * Embed sizes
 * 
 */ 
